curl --location 'https://apisandbox.delbank.com.br/baas/api/v1/split-payments/configurations/15/beneficiaries' \
--header 'Content-Type: application/json' \
--header 'x-delbank-api-key: {{apiKey}}' \
--header 'x-delfinance-account-id: {{accountId}}' \
--data '{
"amount": 50,
"type": "FIXED",
"transferType": "PIX_MANUAL",
"beneficiary": {
"number": "789012",
"branch": "0001",
"participantIspb": "12345678",
"type": "CURRENT",
"holder": {
"document": "12345678901",
"name": "Nome do beneficiário"
}
}
}'
{
"id": 15,
"bankAccountNumber": "CONTA_PAGADORA",
"createdAt": "2025-09-19T20:04:38.112Z",
"updatedAt": "2025-09-19T20:10:00.000Z",
"instructions": [
{
"id": 18,
"splitPaymentConfigurationId": 15,
"amount": 10,
"type": "PERCENTAGE",
"transferType": "INTERNAL",
"beneficiary": {
"number": "654321",
"branch": "0001",
"participantIspb": "12345678",
"type": "PAYMENT",
"holder": {
"document": "12345678901",
"name": "Nome do Beneficiário",
"email": null,
"phoneNumber": null,
"type": "NATURAL"
}
}
},
{
"id": 19,
"splitPaymentConfigurationId": 15,
"amount": 50,
"type": "FIXED",
"transferType": "PIX_MANUAL",
"beneficiary": {
"number": "789012",
"branch": "0001",
"participantIspb": "12345678",
"type": "CURRENT",
"holder": {
"document": "12345678901",
"name": "Nome do beneficiário",
"email": null,
"phoneNumber": null,
"type": null
}
}
}
]
}
Split de Pagamentos
Adicionar instrução
Adicione uma nova instrução de repasse a uma configuração de Split de Pagamento existente.
POST
/
baas
/
api
/
v1
/
split-payments
/
configurations
/
{splitPaymentId}
/
beneficiaries
curl --location 'https://apisandbox.delbank.com.br/baas/api/v1/split-payments/configurations/15/beneficiaries' \
--header 'Content-Type: application/json' \
--header 'x-delbank-api-key: {{apiKey}}' \
--header 'x-delfinance-account-id: {{accountId}}' \
--data '{
"amount": 50,
"type": "FIXED",
"transferType": "PIX_MANUAL",
"beneficiary": {
"number": "789012",
"branch": "0001",
"participantIspb": "12345678",
"type": "CURRENT",
"holder": {
"document": "12345678901",
"name": "Nome do beneficiário"
}
}
}'
{
"id": 15,
"bankAccountNumber": "CONTA_PAGADORA",
"createdAt": "2025-09-19T20:04:38.112Z",
"updatedAt": "2025-09-19T20:10:00.000Z",
"instructions": [
{
"id": 18,
"splitPaymentConfigurationId": 15,
"amount": 10,
"type": "PERCENTAGE",
"transferType": "INTERNAL",
"beneficiary": {
"number": "654321",
"branch": "0001",
"participantIspb": "12345678",
"type": "PAYMENT",
"holder": {
"document": "12345678901",
"name": "Nome do Beneficiário",
"email": null,
"phoneNumber": null,
"type": "NATURAL"
}
}
},
{
"id": 19,
"splitPaymentConfigurationId": 15,
"amount": 50,
"type": "FIXED",
"transferType": "PIX_MANUAL",
"beneficiary": {
"number": "789012",
"branch": "0001",
"participantIspb": "12345678",
"type": "CURRENT",
"holder": {
"document": "12345678901",
"name": "Nome do beneficiário",
"email": null,
"phoneNumber": null,
"type": null
}
}
}
]
}
Para o passo a passo completo, incluindo exemplos por tipo de repasse, veja o guia Configurar Split de Pagamentos.
instructions no endpoint de criação, e varia conforme o transferType escolhido.
Headers
string
required
Sua API key.
string
required
Número da conta Delfinance.
Path
string
required
ID da configuração de Split de Pagamento.
Body
number
required
Valor a ser aplicado, conforme o
type selecionado.string
required
Como o
amount é calculado. Valores aceitos:PERCENTAGE: o valor é calculado como uma porcentagem do valor total da transação. O percentual máximo permitido é 5%.FIXED: o valor é absoluto e fixo. Se o valor definido exceder 50% do valor da transação, o split não é realizado.
string
required
Meio pelo qual o beneficiário recebe o valor. Valores aceitos:
INTERNAL, PIX_MANUAL, EXTERNAL, PIX_KEY. Hoje, use apenas INTERNAL e PIX_MANUAL em produção. Veja detalhes em Configurar Split de Pagamentos.object
required
Dados da conta de destino. Os campos exigidos variam conforme o
transferType (veja o guia de configuração).Show propriedades
Show propriedades
string
required
Número da conta de destino.
string
Agência da conta de destino.
string
ISPB da instituição de destino.
string
Tipo da conta de destino:
PAYMENT, CURRENT, SAVING, SALARY, ESCROW, MINIPI, ADMINISTERED, TRANSACTIONAL ou OWNER.Response
Retorna a configuração completa e atualizada, com a mesma estrutura descrita em Criar configuração de Split, incluindo a nova instrução na lista deinstructions.
curl --location 'https://apisandbox.delbank.com.br/baas/api/v1/split-payments/configurations/15/beneficiaries' \
--header 'Content-Type: application/json' \
--header 'x-delbank-api-key: {{apiKey}}' \
--header 'x-delfinance-account-id: {{accountId}}' \
--data '{
"amount": 50,
"type": "FIXED",
"transferType": "PIX_MANUAL",
"beneficiary": {
"number": "789012",
"branch": "0001",
"participantIspb": "12345678",
"type": "CURRENT",
"holder": {
"document": "12345678901",
"name": "Nome do beneficiário"
}
}
}'
{
"id": 15,
"bankAccountNumber": "CONTA_PAGADORA",
"createdAt": "2025-09-19T20:04:38.112Z",
"updatedAt": "2025-09-19T20:10:00.000Z",
"instructions": [
{
"id": 18,
"splitPaymentConfigurationId": 15,
"amount": 10,
"type": "PERCENTAGE",
"transferType": "INTERNAL",
"beneficiary": {
"number": "654321",
"branch": "0001",
"participantIspb": "12345678",
"type": "PAYMENT",
"holder": {
"document": "12345678901",
"name": "Nome do Beneficiário",
"email": null,
"phoneNumber": null,
"type": "NATURAL"
}
}
},
{
"id": 19,
"splitPaymentConfigurationId": 15,
"amount": 50,
"type": "FIXED",
"transferType": "PIX_MANUAL",
"beneficiary": {
"number": "789012",
"branch": "0001",
"participantIspb": "12345678",
"type": "CURRENT",
"holder": {
"document": "12345678901",
"name": "Nome do beneficiário",
"email": null,
"phoneNumber": null,
"type": null
}
}
}
]
}

